Name:           seafile
Version:        5.1.1
Release:     2%{?dist}
Summary:     Seafile is an open source cloud storage system with features on privacy protection and teamwork. 

%global commit c4e4bdfe31504e850711ccc6254fa2f5c0e302ef
%global shortcommit %(c=%{commit}; echo ${c:0:7})

License:        GPLv3
URL:            https://github.com/haiwen/%{name}
Source0:        https://github.com/haiwen/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel
BuildRequires:  libevent-devel
BuildRequires:  libuuid-devel
BuildRequires:  libsearpc-devel >= 3.0.7
BuildRequires:  ccnet-devel >= 5.1.1
BuildRequires:  vala >= 0.8
BuildRequires:  libcurl-devel

Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glib2-devel
Requires:	      libsearpc >= 3.0.7
Requires:       ccnet >= 5.1.1
Requires: libcurl

%description
Seafile is an open source cloud storage system with features on privacy protection and teamwork. Collections of files are called libraries, and each library can be synced separately. A library can also be encrypted with a user chosen password. Seafile also allows users to create groups and easily sharing files into groups.

%package        devel
Summary:        Development files for %{name}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{commit}
sed -i -e /\(DESTDIR\)/d lib/libseafile.pc.in

%build
./autogen.sh
%configure --disable-static --disable-server --enable-client --disable-fuse
make
# seafile parallel compilation messes up searpc-marshal.h
# %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# does not belong here, but in the seafile-client module
# no idea why this is even included here
find %{buildroot} -name 'seafile.desktop' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
#%doc LICENCE.txt README.markdown
%doc README.markdown
%{_libdir}/*.so.*
%{python_sitearch}/%{name}/
%{python_sitearch}/seaserv/
%{_bindir}/*
#%{_datadir}/%{name}/
%{_mandir}/man1/*.1.gz

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Sat May 28 2016 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.1.1-2
- updated for seafile 5.1.1
* Wed Dec 23 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.1-1
- updated for seafile 5.0.1
* Fri Nov 27 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.0-1
- updated for seafile 5.0.0
* Sat Oct 25 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.4.2-1
- updated for seafile 4.4.2
* Mon Sep 21 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.4.0-1
- updated for seafile 4.4.0
* Sun Sep 14 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.4-1
- updated for seafile 4.3.4
* Sun Sep 13 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.3-1
- updated for seafile 4.3.3
* Wed Aug 19 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.2-1
- updated for seafile 4.3.2
* Wed Aug 12 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.1-1
- updated for seafile 4.3.1
* Fri Jul 30 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.0-1
- updated for seafile 4.3.0
* Mon Jul 13 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.8-1
- updated for seafile 4.2.8
* Thu Jul 09 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.7-1
- updated for seafile 4.2.7
* Thu Jun 25 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.6-1
- updated for seafile 4.2.6
* Thu Jun 11 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.4-1
- updated for seafile 4.2.4
* Tue May 26 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.1-2
- updated for seafile 4.2.2
* Fri May 15 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.1-1
- updated for seafile 4.2.1
* Tue May 12 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.0-1
- updated for seafile 4.2.0
* Fri Apr 10 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.5-1
- updated for seafile 4.1.5
* Tue Mar 31 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.4-1
- updated for seafile 4.1.4
* Mon Mar 23 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.3-1
- updated for seafile 4.1.3
* Fri Mar 20 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.2-1
- updated for seafile 4.1.2
* Tue Mar 3 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.1-1
- updated for seafile 4.1.1
* Fri Jan 30 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.0-1
- updated for seafile 4.1.0
* Thu Jan 08 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.6-1
- updated for seafile 4.0.6
* Wed Dec 24 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.4-6
- updated for seafile 4.0.5
* Tue Dec 16 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.4-6
- updated for seafile 4.0.4
* Sat Dec 06 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.3-1
- updated for seafile 4.0.3
* Thu Nov 13 2014 Philipp Kerling <pkerling@casix.org> - 3.1.10-1
- updated for seafile 3.1.10
* Tue Nov 11 2014 Philipp Kerling <pkerling@casix.org> - 3.1.8-1
- updated for seafile 3.1.8
* Sun Sep 28 2014 Philipp Kerling <pkerling@casix.org> - 3.1.7-1
- updated for seafile 3.1.7
* Fri Sep 19 2014 Philipp Kerling <pkerling@casix.org> - 3.1.6-1
- updated for seafile 3.1.6
* Fri Aug 22 2014 Philipp Kerling <pkerling@casix.org> - 3.1.5-1
- updated for seafile 3.1.5
* Thu Aug 07 2014 Philipp Kerling <pkerling@casix.org> - 3.1.4-1
- updated for seafile 3.1.4
* Sat May 17 2014 Philipp Kerling <pkerling@casix.org> - 3.0.4-1
- updated for seafile 3.0.4
* Mon Apr 28 2014 Philipp Kerling <pkerling@casix.org> - 3.0.2-1
- updated for seafile 3.0.2
* Sat Apr 19 2014 Philipp Kerling <pkerling@casix.org> - 2.2.0-1
- updated for seafile 2.2.0
* Mon Mar 10 2014 Philipp Kerling <pkerling@casix.org> - 2.1.2-1
- updated for seafile 2.1.2
* Thu Jan 16 2014 Philipp Kerling <pkerling@casix.org> - 2.0.9-1
- updated for seafile 2.1.1
* Sat Nov 16 2013 Philipp Kerling <pkerling@casix.org> - 2.0.8-1
- updated for seafile 2.0.8
* Sun Aug 11 2013 Stefan Lohmaier <stefan.lohmaier@stefanlohmaier.de>
- updated for seafile 1.7.1.1
* Tue Jun 18 2013 Stefan Lohmaier <stefan.lohmaier@stefanlohmaier.de> - 1.7.0-1
- updated to 1.7.0
* Thu May 30 2013 Stefan Lohmaier <stefan.lohmaier@stefanlohmaier.de> - 1.1.0-1
- added description from github
- moved to seafile 1.6.1
* Mon Jan 28 2013 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Initial package
